> For the complete documentation index, see [llms.txt](https://api.esignon.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.esignon.net/jp-1/workflow/view/readallworkflow.md).

# 進行文書リスト照会

* 該当会社の進行文書リストをすべて照会します。
* GET方式のAPIでHEADERSに発行されたトークン値だけを入力して照会します。

## 進行文書リスト照会

<mark style="color:blue;">`GET`</mark> `https://docs.esignon.net/worklists/new?page={value}&rows={value}`

進行文書の状態、種類、段階などを確認することができます。

#### Path Parameters

| Name | Type   | Description                 |
| ---- | ------ | --------------------------- |
| rows | string | 1ページあたり照会する文書数 / Default 50 |
| page | string | 照会するページの番号 / Default 1      |

#### Headers

| Name          | Type   | Description           |
| ------------- | ------ | --------------------- |
| Authorization | string | esignon {accesstoken} |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "/worklists/new",
		"result_code": "00",
		"result_msg": "",
		"session_id": ""
	},
	"body":{
		"comp_id": "{会社ID}",
		"isManager": true,
		"memb_email": "{ログインしたEメール}",
		"page": "{出力するページの番号}",
		"rows": "{ページあたりの表示リストの数}",
		"total": "{全文書数}",
		"workflow_list":[{
			"wfuid": "{文書ID}",
			"wfname": "{文書のタイトル}",
			"wftype": "{文書タイプ}",
			"status": "{文書状態}",
			"step": "{文書段階}",
			"nickname": "{文書作成者}",
			"currentactionid": "{契約中の段階番号}",
			"email": "{文書作成者Eメール}",
			"startdate": "{文書開始日}",
			"totalprocesscount": "{文書の総工数}",
			"currentprocesscount": "{完了した契約段階番号}",
			"confirmdate": "{文書完了日}",
			"preactionid": {},
			"preactionemail":"{参照のEメール}"
			}]
	}
}

```

{% endtab %}
{% endtabs %}

### Parameter Info

| **Name**              | **Value** | **Description** |
| --------------------- | --------- | --------------- |
| Workflow\_list.status | Playing   | 進行中             |
|                       | Canceled  | キャンセル           |
|                       | Complete  | 完了              |
|                       | Truncate  | 廃棄              |
| Workflow\_list.wftype | NORMAL    | 一般発送の文書         |
|                       | BULKWEB   | 大量発送文書          |
| Workflow\_list.step   | Myturn    | 私の番             |
|                       | Progress  | 契約者が進行中         |
|                       | Complete  | 完了              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/jp-1/workflow/view/readallworkflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
